API referenceUsers
List users
List all users in the company workspace
GET
/userscurl -X GET "https://api.corma.io/v1/users" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
takeintegerqueryDefault:50skipintegerqueryDefault:0filtersobjectquery
Response
application/json200
OK
paginationPaginationResponseMetarequireditemsUser[]required
{
"pagination": {
"take": 0,
"skip": 0,
"total": 0
},
"items": [
{
"id": "string",
"type": "employee",
"email": "string",
"personalEmail": "string",
"name": "string",
"idpStatus": "active",
"hrStatus": "active",
"jobKey": "string",
"countryCode": "string",
"departmentKey": "string",
"startDate": "2026-01-15T09:30:00Z",
"terminationDate": "2026-01-15T09:30:00Z",
"emails": [
{
"email": "string",
"isPrimary": true,
"sources": [
{}
],
"sourceKind": "manual"
}
],
"job": {
"key": "string",
"display_name": "string"
},
"country": {
"country_code": "string",
"sources": [
{
"type": "integration_sync_unit",
"kind": "google",
"method": "api",
"syncUnitId": "string",
"label": "string",
"author": "string",
"isOriginating": true,
"createdAt": "2026-01-15T09:30:00Z",
"lastUpdatedAt": "2026-01-15T09:30:00Z"
}
]
},
"department": {
"key": "string",
"displayName": "string"
},
"sources": [
{
"type": "corma",
"kind": "extension",
"author": "string",
"isOriginating": true,
"createdAt": "2026-01-15T09:30:00Z",
"lastUpdatedAt": "2026-01-15T09:30:00Z"
}
],
"connectorId": "string",
"customFields": {
"key": "string"
},
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}